Send Transaction OTP

The system will generate a One-Time Password (OTP) and deliver it to the sender’s registered mobile number as part of a security or verification process.

Every transaction response will contain a tx_status code with the following possible values:

tx_statustxstatus_desc
0Success
1Fail
2Initiated
3Refund Pending
4Refunded
5Hold (Transaction Inquiry Needed)

In case if any other value is returned in tx_status parameter then the transaction should be treated as initiated and transaction inquiry should be done until final status is received.

❗️

Transaction Timeout

A transaction can timeout due to multiple reasons, such as, bad internet connection or slow response from the partner bank. In such cases, transaction should not be treated as declined or failed. Ideally, it should be inquired using the Transaction Inquiry API by the passing your own reference number, i.e., client_ref_id.

Body Params
int32
required

Your registered mobile number (See Platform Credentials for UAT)

string
required

User code value of the retailer from whom the request is coming

int32
required

Unique ID generated while adding the recipient.

int32
required

The amount that needs to be transferred.

int32
required

Mobile number of the Sender

int32
Defaults to 80

Send a fixed value of 80

string

A unique ID generated when adding the recipient's bank details.

Headers
string
required

Your unique API key that will authenticate your request. For UAT, refer to [Platform Credentials] (https://developers.eko.in/docs/platform-credentials)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

string
required

Refer to [authentication section] (https://developers.eko.in/docs/authentication)

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json